%global pypi_name josepy

Name:           python-%{pypi_name}
Version:        1.5.0
Release:        %mkrel 1
Summary:        JOSE protocol implementation in Python
License:        ASL 2.0
Group:          Development/Python
URL:            https://pypi.org/projects/josepy
Source0:        %{pypi_source}
BuildArch:      noarch

# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
JOSE protocol implementation in Python using cryptography.

%package -n     python3-%{pypi_name}
Summary:        JOSE protocol implementation in Python
Group:          Development/Python
Requires:       python3dist(cryptography)
Requires:       python3dist(pyopenssl)
Requires:       python3dist(setuptools)
Requires:       python3dist(six)
BuildRequires:  python3dist(cryptography)
BuildRequires:  python3dist(pyopenssl)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
JOSE protocol implementation in Python using cryptography.

This is the Python 3 version of the package.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# Build documentation
PYTHONPATH=$(pwd)/src make -C docs man html SPHINXBUILD=sphinx-build
rm -rf docs/_build/html/.buildinfo

%install
%py3_install

install -pD -t %{buildroot}%{_mandir}/man1 docs/_build/man/*.1*

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%doc docs/_build/html
%{python3_sitelib}/josepy
%{python3_sitelib}/josepy-%{version}-py?.?.egg-info
%{_bindir}/jws
%{_mandir}/man1/*


%changelog
* Sun Nov 08 2020 guillomovitch <guillomovitch> 1.5.0-1.mga8
+ Revision: 1643732
- new version 1.5.0

* Sat Aug 29 2020 guillomovitch <guillomovitch> 1.4.0-2.mga8
+ Revision: 1619547
- fix dependencies

* Tue Aug 25 2020 guillomovitch <guillomovitch> 1.4.0-1.mga8
+ Revision: 1618873
- new version

* Thu Feb 20 2020 umeabot <umeabot> 1.3.0-2.mga8
+ Revision: 1546132
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 guillomovitch <guillomovitch> 1.3.0-1.mga8
+ Revision: 1486139
- new version 1.3.0

* Sun Sep 15 2019 guillomovitch <guillomovitch> 1.2.0-3.mga8
+ Revision: 1441000
- drop python2 support

* Tue Aug 20 2019 wally <wally> 1.2.0-2.mga8
+ Revision: 1430444
- build html docs

* Thu Jul 04 2019 guillomovitch <guillomovitch> 1.2.0-1.mga8
+ Revision: 1418571
- new version 1.2.0

* Mon Jan 07 2019 kekepower <kekepower> 1.1.0-3.mga7
+ Revision: 1350352
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1289154
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 guillomovitch <guillomovitch> 1.1.0-1.mga7
+ Revision: 1221009
- new version 1.1.0

* Thu Feb 08 2018 guillomovitch <guillomovitch> 1.0.1-2.mga7
+ Revision: 1199700
- python2-enum34 is also a runtime dependency

* Wed Feb 07 2018 guillomovitch <guillomovitch> 1.0.1-1.mga7
+ Revision: 1199567
- imported package python-josepy

